Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxHssAccPortConfig Struct Reference [IXP425 HSS Access (IxHssAcc) API] Structure containing HSS port configuration parameters. More...
## Data Fields
IxHssAccFrmSyncType | frmSyncType
| frame sync pulse type (tx/rx)
IxHssAccFrmSyncEnable | frmSyncIO
| how the frame sync pulse is used (tx/rx)
IxHssAccClkEdge | frmSyncClkEdge
| frame sync clock edge type (tx/rx)
IxHssAccClkEdge | dataClkEdge
| data clock edge type (tx/rx)
IxHssAccClkDir | clkDirection
| clock direction (tx/rx)
IxHssAccFrmPulseUsage | frmPulseUsage
| whether to use the frame sync pulse or not (tx/rx)
IxHssAccDataRate | dataRate
| data rate in relation to the clock (tx/rx)
IxHssAccDataPolarity | dataPolarity
| data polarity type (tx/rx)
IxHssAccBitEndian | dataEndianness
| data endianness (tx/rx)
IxHssAccDrainMode | drainMode
| tx pin open drain mode (tx)
IxHssAccSOFType | fBitUsage
| start of frame types (tx/rx)
IxHssAccDataEnable | dataEnable
| whether or not to drive the data pins (tx)
IxHssAccTxSigType | voice56kType
| how to drive the data pins for voice56k type (tx)
IxHssAccTxSigType | unassignedType
| how to drive the data pins for unassigned type (tx)
IxHssAccFbType | fBitType
| how to drive the Fbit (tx)
IxHssAcc56kEndianness | voice56kEndian
| 56k data endianness when using the 56k type (tx)
IxHssAcc56kSel | voice56kSel
| 56k data transmission type when using the 56k type (tx)
unsigned | frmOffset
| frame pulse offset in bits wrt the first timeslot (0-1023) (tx/rx)
unsigned | maxFrmSize
| frame size in bits (1-1024) (tx/rx)
## Detailed Description Structure containing HSS port configuration parameters. Note: All of these are used for TX. Only some are specific to RX. Definition at line 530 of file IxHssAcc.h. ## Field Documentation
IxHssAccClkDir IxHssAccPortConfig::clkDirection
| clock direction (tx/rx) Definition at line 538 of file IxHssAcc.h.
IxHssAccClkEdge IxHssAccPortConfig::dataClkEdge
| data clock edge type (tx/rx) Definition at line 537 of file IxHssAcc.h.
IxHssAccDataEnable IxHssAccPortConfig::dataEnable
| whether or not to drive the data pins (tx) Definition at line 547 of file IxHssAcc.h.
IxHssAccBitEndian IxHssAccPortConfig::dataEndianness
| data endianness (tx/rx) Definition at line 544 of file IxHssAcc.h.
IxHssAccDataPolarity IxHssAccPortConfig::dataPolarity
| data polarity type (tx/rx) Definition at line 543 of file IxHssAcc.h.
IxHssAccDataRate IxHssAccPortConfig::dataRate
| data rate in relation to the clock (tx/rx) Definition at line 541 of file IxHssAcc.h.
IxHssAccDrainMode IxHssAccPortConfig::drainMode
| tx pin open drain mode (tx) Definition at line 545 of file IxHssAcc.h.
IxHssAccFbType IxHssAccPortConfig::fBitType
| how to drive the Fbit (tx) Definition at line 553 of file IxHssAcc.h.
IxHssAccSOFType IxHssAccPortConfig::fBitUsage
| start of frame types (tx/rx) Definition at line 546 of file IxHssAcc.h.
unsigned IxHssAccPortConfig::frmOffset
| frame pulse offset in bits wrt the first timeslot (0-1023) (tx/rx) Definition at line 558 of file IxHssAcc.h.
IxHssAccFrmPulseUsage IxHssAccPortConfig::frmPulseUsage
| whether to use the frame sync pulse or not (tx/rx) Definition at line 539 of file IxHssAcc.h.
IxHssAccClkEdge IxHssAccPortConfig::frmSyncClkEdge
| frame sync clock edge type (tx/rx) Definition at line 535 of file IxHssAcc.h.
IxHssAccFrmSyncEnable IxHssAccPortConfig::frmSyncIO
| how the frame sync pulse is used (tx/rx) Definition at line 533 of file IxHssAcc.h.
IxHssAccFrmSyncType IxHssAccPortConfig::frmSyncType
| frame sync pulse type (tx/rx) Definition at line 532 of file IxHssAcc.h.
unsigned IxHssAccPortConfig::maxFrmSize
| frame size in bits (1-1024) (tx/rx) Definition at line 560 of file IxHssAcc.h.
IxHssAccTxSigType IxHssAccPortConfig::unassignedType
| how to drive the data pins for unassigned type (tx) Definition at line 551 of file IxHssAcc.h.
IxHssAcc56kEndianness IxHssAccPortConfig::voice56kEndian
| 56k data endianness when using the 56k type (tx) Definition at line 554 of file IxHssAcc.h.
IxHssAcc56kSel IxHssAccPortConfig::voice56kSel
| 56k data transmission type when using the 56k type (tx) Definition at line 556 of file IxHssAcc.h.
IxHssAccTxSigType IxHssAccPortConfig::voice56kType
| how to drive the data pins for voice56k type (tx) Definition at line 549 of file IxHssAcc.h.
The documentation for this struct was generated from the following file: IxHssAcc.h
Automatically generated from sources. © Intel Corp. 2003